hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jonathan Eagles (Commented) (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-8123) hadoop-project invalid pom warnings prevent transitive dependency resolution
Date Thu, 01 Mar 2012 00:17:58 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-8123?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13219674#comment-13219674
] 

Jonathan Eagles commented on HADOOP-8123:
-----------------------------------------

hadoop-project patch failure is expect.

The way to show this issue is the following pom file
{noformat}
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>org.apache.test</groupId>
    <artifactId>test</artifactId>
    <packaging>jar</packaging>
    <version>1.0.0</version>
    <name>test</name>
    <description>test</description>

    <dependencies>
        <dependency>
        <groupId>org.apache.hadoop</groupId>
        <artifactId>hadoop-common</artifactId>
        <version>0.23.1</version>
        <scope>compile</scope>
        </dependency>
    </dependencies>

    <build>
    </build>
</project>

{noformat}
MAVEN_HOME=<path to apache-maven-2.2.1> PATH=<path to apache-maven-2.2.1/bin>:$PATH
mvn clean install -e -X > ~/build.log 2>&1
build.log will show the above error.

Error is not present with the above patch.
                
> hadoop-project invalid pom warnings prevent transitive dependency resolution
> ----------------------------------------------------------------------------
>
>                 Key: HADOOP-8123
>                 URL: https://issues.apache.org/jira/browse/HADOOP-8123
>             Project: Hadoop Common
>          Issue Type: Bug
>          Components: build
>    Affects Versions: 0.23.1
>            Reporter: Jonathan Eagles
>            Assignee: Jonathan Eagles
>            Priority: Critical
>         Attachments: HADOOP-8123.patch
>
>
> [DEBUG]   Artifact resolved
> [WARNING] POM for 'org.apache.hadoop:hadoop-common:pom:0.23.1:compile' is invalid.
> Its dependencies (if any) will NOT be available to the current build.
> [DEBUG] Reason: Failed to validate POM for project org.apache.hadoop:hadoop-common at
Artifact [org.apache.hadoop:hadoop-common:pom:0.23.1:compile]
> [DEBUG]
> Validation Errors:
> [DEBUG] For dependency Dependency {groupId=jdk.tools, artifactId=jdk.tools, version=1.6,
type=jar}: system-scoped dependency must specify an absolute path systemPath.
> [DEBUG]
> [DEBUG]   org.apache.hadoop:hadoop-common:jar:0.23.1:compile (selected for compile)

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message